# accountants.activity

Read an accountant's retained activity timeline (sign-ins, downloads, exports, requests, decisions, end-date changes and removal), newest first. Supply userId and optionally beforeId.

`GET | POST /api/v1/accounting/accountants.activity`

Permissions: `accounting:read`, `accounting:admin` · Roles: admin

MCP tool: `accounting_accountants_activity`

## Fields

| Field | Type | Required | Notes |
| --- | --- | --- | --- |
| `userId` | string | Yes | The ID of a person in your company. 1–200 characters. |
| `beforeId` | integer |  | at most 9007199254740991; greater than 0. |
| `limit` | integer |  | How many results to return at most. 1 to 100. Default `50`. |

## Example request

```bash
curl -G https://app.getoatmilk.com/api/v1/accounting/accountants.activity \
  -H "Authorization: Bearer $OATMILK_API_KEY" \
  --data-urlencode 'userId=example'
```

Reference page: https://app.getoatmilk.com/docs/api/accountants.activity
